### Class

# Msg Drive

#### Description [src]

    final class Msg.Drive : GObject.Object
    {
      /* No available fields */
    }

`MsgDriveService` is a subclass of `MsgService` for communicating with the MS Graph API.

Details: https://learn.microsoft.com/en-us/graph/api/resources/drive?view=graph-rest-1.0.

#### Ancestors

- GObject

#### Constructors

###### msg_drive_new

Creates a new `MsgDrive`.

###### msg_drive_new_from_json

Creates a new `MsgDrive` from json response object.

#### Instance methods

###### msg_drive_get_created

Get created time of drive.

###### msg_drive_get_drive_type

Gets the drive type of the drive.

###### msg_drive_get_id

Gets the ID of the drive.

###### msg_drive_get_modified

Gets the modified time of the drive.

###### msg_drive_get_name

Gets tthe name of the drive.

###### msg_drive_get_remaining

Gets the remaining size of the drive.

###### msg_drive_get_total

Gets the total size of the drive.

###### msg_drive_get_used

Gets the used size of the drive.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgDriveClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.